const jsImg = '/img/skills/javascript.webp'
const tsImg = '/img/skills/typescript.webp'
const vueImg = '/img/skills/vue.webp'
const reactImg = '/img/skills/react.webp'
const postCssImg = '/img/skills/postcss.webp'
const scssImg = '/img/skills/sass.webp'
const cssImg = '/img/skills/css.webp'
const htmlImg = '/img/skills/html.webp'
const phaserImg = '/img/skills/phaser.webp'
const unityImg = '/img/skills/unity.webp'
const csImg = '/img/skills/cs.webp'
const aseImg = '/img/skills/aseprite.webp'
const glImg = '/img/skills/gitlab.webp'
const vitestImg = '/img/skills/vitest.webp'
const njsImg = '/img/skills/nodejs.webp'
const javaImg = '/img/skills/java.webp'
const webstormImg = '/img/skills/webstorm.webp'
const nuxtImg = '/img/skills/nuxt.webp'
const twImg = '/img/skills/tw.webp'
const rustImg = '/img/skills/rust.webp'

export type ISkill = {
  name: string
  img: string
  link ?: string
  width ?: number
}

export const ase: ISkill = {name: 'Aseprite', img: aseImg}
export const cs: ISkill = {name: 'C#', img: csImg}
export const css: ISkill = {name: 'CSS', img: cssImg, width: 44}
export const gl: ISkill = {name: 'GitLab', img: glImg, link: 'https://gitlab.com', width: 55}
export const html: ISkill = {name: 'HTML', img: htmlImg, width: 44}
export const java: ISkill = {name: 'Java', img: javaImg, link: 'https://www.java.com/de/', width: 37}
export const js: ISkill = {name: 'JavaScript', img: jsImg}
export const webstorm: ISkill = {name: 'JetBrains IDEs', img: webstormImg, link: 'https://www.jetbrains.com/webstorm'}
export const njs: ISkill = {name: 'Nodejs', img: njsImg, link: 'https://nodejs.org/en', width: 46}
export const nuxt: ISkill = {name: 'Nuxt', img: nuxtImg, link: 'https://nuxt.com', width: 75}
export const phaser: ISkill = {name: 'Phaser 3', img: phaserImg, width: 58}
export const pcss: ISkill = {name: 'PostCSS', img: postCssImg, link: 'https://postcss.org'}
export const react: ISkill = {name: 'React', img: reactImg, link: 'https://reactjs.org', width: 56}
export const rust: ISkill = {name: 'Rust', img: rustImg, link: 'https://www.rust-lang.org'}
export const scss: ISkill = {name: 'SCSS', img: scssImg, width: 67}
export const tw: ISkill = {name: 'Tailwind', img: twImg, width: 84}
export const ts: ISkill = {name: 'TypeScript', img: tsImg, link: 'https://www.typescriptlang.org'}
export const unity: ISkill = {name: 'Unity 3D', img: unityImg}
export const vitest: ISkill = {name: 'Vitest', img: vitestImg, link: 'https://vitest.dev', width: 55}
export const vue: ISkill = {name: 'Vue', img: vueImg, link: 'https://vuejs.org', width: 58}
